Bug 132440 - Incorrect help for color bar (Draw and Impress)
Summary: Incorrect help for color bar (Draw and Impress)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.4.2.2 release
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2020-04-26 19:26 UTC by Gerhard Weydt
Modified: 2020-07-16 13:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerhard Weydt 2020-04-26 19:26:57 UTC
The help text for the color bar (https://help.libreoffice.org/6.4/en-US/text/shared/01/03170000.html?DbPAR=SHARED#bm_id3147477) contains several errors or not quite correct descriptions:
- The starting phrase "Show or hides" mixes two different verb forms. It must be "Shows or hides" or "Show or hide".
- Dragging the color to an object is only available for the filling color.
- The normal and easier way to reattach the color bar ist do double-click the gray area while holding down the Ctrl key. Dragging the title bar to the edge of the drawing area (not the window!) may work well for the left and right side, but is difficult for the bottom where the standard position of the bar is: it's only a small area about the middle of the horizontal scroll bar where the rectangle symbol for the reattachment appears.
Comment 1 Regina Henschel 2020-04-27 14:25:39 UTC
It would be better to remove the sentence "Click the color that you want to use."

The it is clearer, that left-click and right-click only work on a selected object.

And for the last sentence adding "to change the fill color" might help.

Dragging a color to the interactive gradient tool is currently broken.
Comment 2 Commit Notification 2020-04-29 13:01:05 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/ab3da37252f43152e8cae9970ef6897d0fbe6111

tdf#132440 Fix grammar and update Color bar page